<script lang="ts">
    let {
        src,
    }: {
        src: string;
    } = $props();
</script>

<video controls class="video-block">
    <source src={src} type="video/mp4">
    Video is broken, sorry!
</video>